Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

sparky update problem - The repository is no longer signed. Failed to fetch.

Started by jamoz, December 10, 2021, 09:35:07 AM

Previous topic - Next topic

pavroo

Is that a full output of the command?
I have the same line launching appcenter, but is longer.
I need full output, please.

And what desktop have you been using when trying to launch aptus appcenter?
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

rakemup

This is the full reply -----
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a command for apttool_fixpackages...
./aptus-appcenter: line 310: 204727 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="index.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
tac@terry-hpdesktop460p2xx:~$ Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a command for apttool_refresh...
./aptus-appcenter: line 310: 205274 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="tools.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a command for apttool_fullupgrade...
./aptus-appcenter: line 310: 206362 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="tools.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a command for apttool_sparkyterm...
./aptus-appcenter: line 310: 207102 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="tools.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a command for apttool_customrepo...
./aptus-appcenter: line 310: 208814 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="tools.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a command for apttool_mainrepo...
./aptus-appcenter: line 310: 209296 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="tools.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a command for accoth_sparky-launcher...
./aptus-appcenter: line 310: 209831 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="tools.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
yad: no process found

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

yad: no process found
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a web page from local disk...
running a web page from local disk...
running a command for apttool_fixpackages...
./aptus-appcenter: line 310: 210661 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="page-install.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a command for apttool_usercache...
./aptus-appcenter: line 310: 211228 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="tools.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
./aptus-appcenter: line 310: 211065 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="accessories-others.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a web page from local disk...
running a command for narz_search...
./aptus-appcenter: line 310: 212793 Killed                  yad --window-icon=sparky-aptus-appcenter $POS $HTML --uri="tools.html" --user-agent="$LANGUAGE" --uri-handler="./handler"
Usage: grep [OPTION]... PATTERNS [FILE]...
Try 'grep --help' for more information.
yad: no process found
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
running a web page from local disk...
running a web page from local disk...


I use the Xfce desktop.  I still cannot run APTus or APTus AppCenter from the Sparky menu.
I did finally get Aptus Aptcenter (graphical) by running-----sudo sparky-aptus-appcenter .. so I can at least run Aptus tools from there. 

pavroo

If you can launch aptus with sudo, try and show me output of this command, please:
remsu sparky-aptus-appcenterand
remsu sparky-aptus
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

rakemup

root@terry-hpdesktop460p2xx:/usr/lib/sparky-aptus-appcenter# rensu sparky-aptus-appcenter
bash: rensu: command not found
root@terry-hpdesktop460p2xx:/usr/lib/sparky-aptus-appcenter# rensu sparky-aptus
bash: rensu: command not found
root@terry-hpdesktop460p2xx:/usr/lib/sparky-aptus-appcenter#
____________________________________________________________________________________

tac@terry-hpdesktop460p2xx:~$ rensu sparky-aptus-appcenter
bash: rensu: command not found
tac@terry-hpdesktop460p2xx:~$ sudo rensu sparky-aptus-appcenter
sudo: rensu: command not found
tac@terry-hpdesktop460p2xx:~$ rensu sparky-aptus
bash: rensu: command not found
tac@terry-hpdesktop460p2xx:~$ sudo !!
sudo rensu sparky-aptus
sudo: rensu: command not found


pavroo

Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

rakemup

tac@terry-hpdesktop460p2xx:~$ remsu sparky-aptus
pkexec must be setuid root
tac@terry-hpdesktop460p2xx:~$ remsu sparky-aptus-appcenter
pkexec must be setuid root
tac@terry-hpdesktop460p2xx:~$ sudo !!
sudo remsu sparky-aptus-appcenter
[sudo] password for tac:
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal

that last command does run appcenter



pavroo

I know that the sudo runs aptus, but it has to be started with remsu, means without sudo, as the aptus desktop file calls it.

So, the applications works, but the problem is with remsu/pkexec.
Show me outputs of:
apt policy sparky-remsu
apt policy policykit-1
and make a test:
pkexec sparky-aptus-appcenter
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

rakemup

apt policy sparky-remsu
sparky-remsu:
  Installed: 0.2.16
  Candidate: 0.2.16
  Version table:
*** 0.2.16 1001
      1001 https://repo.sparkylinux.org core/main amd64 Packages
      1001 https://repo.sparkylinux.org core/main i386 Packages
        100 /var/lib/dpkg/status

apt policy policykit-1
policykit-1:
  Installed: 0.105-31+deb11u1
  Candidate: 0.105-31+deb11u1
  Version table:
*** 0.105-31+deb11u1 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
        500 http://deb.debian.org/debian-security bullseye-security/updates/main amd64 Packages
        100 /var/lib/dpkg/status

$ pkexec sparky-aptus-appcenter
pkexec must be setuid root

pkexec must be setuid root
tac@terry-hpdesktop460p2xx:~$ sudo !!
sudo pkexec sparky-aptus-appcenter      ##this command did run appcenter
[sudo] password for tac:
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal




pavroo

You do not need to show me output of the command with sudo.
The problem is with pkexec not with sudo.
Show me, please:
ls -l /usr/bin/pkexec
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

rakemup

$ ls -l /usr/bin/pkexec
-rwxr-xr-x 1 root root 23448 Jan 13 14:32 /usr/bin/pkexec

pavroo

Run:
sudo chmod 4755 /usr/bin/pkexecthen try to launch the appcenter from menu normally.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

rakemup


View the most recent posts on the forum